<%@ Page Language="C#" AutoEventWireup="true" Inherits="system_webOS_loginWeb" Codebehind="loginWeb.aspx.cs" %>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>注册网站</title>
    <link rel="stylesheet" type="text/css" href="../skins/css/main.css" />
    <link rel="stylesheet" type="text/css" href="css/webOS.css" />
    <script type="text/javascript" language="javascript" src="../js/JFramework.js"></script>
    <script type="text/javascript" language="javascript" src="../js/sys.js"></script>
<script type="text/javascript" language="javascript" >
	function ok(){
		var codeStr=$("code").value;
		var webNameStr=$("webName").value;
		if (codeStr=="" | webNameStr==""){
			alert("注册码和网站名字不能为空");
			return;
		}
	
		var objAjax=new JAjax();
		var objResponse=new JHttpResponse();
		objResponse.write("code",codeStr);
		objResponse.write("webName",webNameStr);
		var out=objAjax.getText("post","loginWeb.aspx?type=login",objResponse,null);
		if (out=="0"){
			alert("注册失败,原因\n\n可能是您多次使用同一注册码注册,\n\n也可能是你输入的注册码错误,\n\n或是和购买注册码的订单号不符");
			return;
		}
		if (!isNaN(out)){
			alert("注册成功, 你的网站使用期增加"+out+"天");
			return;
		}else{
			alert(erStr(out));
			$("div1").innerText=erStr(out);
		}
		
	}

</script>

</head>
<body onload="	loadBodyclick();">
<center>
    <table style="width: 500px; ">
        <tr>
            <td colspan="2" height="20">
            &nbsp;&nbsp;
                注册您的网站
            </td>
        </tr>
        <tr>
            <td style="text-align:right; height: 20px;" >
                输入您的注册码:</td>
            <td height="25">
                <input type="text" value="" style="width: 300px; height: 20px;" name="code" id="code" /></td>
        </tr>
        <tr>
            <td style="text-align: right; height: 20px;">
                输入购买此注册码时的订单号:</td>
            <td  height="20">
                <input type="text" value="" style="width: 300px; height: 20px;" name="webName" id="webName" /></td>
        </tr>
        <tr>
            <td style="text-align: center; width:450px" colspan="2" valign="top" height="20">  
			<br>
			<span style="color: #ff0000;width:350px;">订单号必须和订购注册码时生成的订单号完全相同</span>
            </td>
        </tr>
        <tr>
            <td style="text-align: center; width:450px" colspan="2" valign="top" height="20">  
			<input type="button" value="确定" onclick="ok()"></td>
        </tr>
        <tr>
            <td style="text-align: center; width:450px; color:#000080" colspan="2" valign="top">  
			<%exDate();%><br/><a href="http://buy.zydn.net/buy/index.aspx" target="_blank"> 我要购买注册码</a>
			<br/>
			<asp:Label ID="buySN" runat="server" Text="Label"></asp:Label>
			<div id="div1"></div></td>
        </tr>
    </table>
   
    </center>
</body>
</html>